Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063035 - [abrt] claws-mail: allocator_memalign(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: allocator_memalign(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3632d809e8aea34a04f21af2bb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 17:36 UTC by Matthias Lüttgert
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-06 09:42:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: cgroup (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: core_backtrace (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: dso_list (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: environ (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: exploitable (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: limits (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: maps (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: open_fds (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: proc_pid_status (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details
File: var_log_messages (deleted)
2014-02-09 17:36 UTC, Matthias Lüttgert
no flags Details

Description Matthias Lüttgert 2014-02-09 17:36:01 UTC
Description of problem:
Changed Date Format to %Y-%m-%d %H:%M and applied it.
20minutes later, when looking for a mail, claws mail simply crashed.

Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        claws-mail
crash_function: allocator_memalign
executable:     /usr/bin/claws-mail
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 allocator_memalign at gslice.c:1394
 #5 allocator_add_slab at gslice.c:1265
 #6 slab_allocator_alloc_chunk at gslice.c:1313
 #7 magazine_cache_pop_magazine at gslice.c:732
 #8 thread_memory_magazine1_reload at gslice.c:807
 #9 g_slice_alloc at gslice.c:1005
 #10 g_slice_alloc0 at gslice.c:1042
 #11 gdk_event_new at gdkevents.c:356
 #12 _gdk_make_event at gdkwindow.c:9907
 #13 gdk_window_update_visibility at gdkwindow.c:833

Potential duplicate: bug 965581

Comment 1 Matthias Lüttgert 2014-02-09 17:36:07 UTC
Created attachment 861098 [details]
File: backtrace

Comment 2 Matthias Lüttgert 2014-02-09 17:36:09 UTC
Created attachment 861099 [details]
File: cgroup

Comment 3 Matthias Lüttgert 2014-02-09 17:36:12 UTC
Created attachment 861100 [details]
File: core_backtrace

Comment 4 Matthias Lüttgert 2014-02-09 17:36:14 UTC
Created attachment 861101 [details]
File: dso_list

Comment 5 Matthias Lüttgert 2014-02-09 17:36:16 UTC
Created attachment 861102 [details]
File: environ

Comment 6 Matthias Lüttgert 2014-02-09 17:36:18 UTC
Created attachment 861103 [details]
File: exploitable

Comment 7 Matthias Lüttgert 2014-02-09 17:36:20 UTC
Created attachment 861104 [details]
File: limits

Comment 8 Matthias Lüttgert 2014-02-09 17:36:23 UTC
Created attachment 861105 [details]
File: maps

Comment 9 Matthias Lüttgert 2014-02-09 17:36:25 UTC
Created attachment 861106 [details]
File: open_fds

Comment 10 Matthias Lüttgert 2014-02-09 17:36:26 UTC
Created attachment 861107 [details]
File: proc_pid_status

Comment 11 Matthias Lüttgert 2014-02-09 17:36:30 UTC
Created attachment 861108 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-03-06 08:36:28 UTC
> Changed Date Format to %Y-%m-%d %H:%M and applied it.

Unrelated.

> 20minutes later, when looking for a mail, claws mail simply crashed.

A spontaneous crash due to memory corruption.

> #0  0x0000003c5f07e520 in _int_malloc (av=av@entry=0x3c5f3b8760 <main_arena>,
> bytes=bytes@entry=2080) at malloc.c:3645

see e.g. bug 1070480 comment 5 and follow to the linked tickets.

Comment 13 Matthias Lüttgert 2014-03-06 09:42:03 UTC
Michael you are probably right.
I had to change RAM and Board due to crashes with increasing frequency.
Bug closed. No Problems with new hardware. Sorry to bother you with such stuff.

Matthias

Comment 14 Fedora Update System 2014-05-26 21:17:13 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 15 Fedora Update System 2014-05-26 21:17:47 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 16 Fedora Update System 2014-05-30 23:49:20 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:39 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:16 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:54:55 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:03 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:48 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:12 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.